#include <stdio.h>
#include "array.h"


int main(){
Stack *stack = NULL;
initStack(stack);
int a[5][5];
if (!(a->array[0].a)) {
Array temp;
initArray(&temp);
insertArray(a,0,&temp);
}
insertInt(a->array[0].a,0,0);
if (!(a->array[0].a)) {
Array temp;
initArray(&temp);
insertArray(a,0,&temp);
}
insertInt(a->array[0].a,1,1);
if (!(a->array[0].a)) {
Array temp;
initArray(&temp);
insertArray(a,0,&temp);
}
insertInt(a->array[0].a,2,2);
if (!(a->array[0].a)) {
Array temp;
initArray(&temp);
insertArray(a,0,&temp);
}
insertInt(a->array[0].a,3,3);
if (!(a->array[0].a)) {
Array temp;
initArray(&temp);
insertArray(a,0,&temp);
}
insertInt(a->array[0].a,4,4);
if (!(a->array[1].a)) {
Array temp;
initArray(&temp);
insertArray(a,1,&temp);
}
insertInt(a->array[1].a,0,10);
if (!(a->array[1].a)) {
Array temp;
initArray(&temp);
insertArray(a,1,&temp);
}
insertInt(a->array[1].a,1,11);
if (!(a->array[1].a)) {
Array temp;
initArray(&temp);
insertArray(a,1,&temp);
}
insertInt(a->array[1].a,2,12);
if (!(a->array[1].a)) {
Array temp;
initArray(&temp);
insertArray(a,1,&temp);
}
insertInt(a->array[1].a,3,13);
if (!(a->array[1].a)) {
Array temp;
initArray(&temp);
insertArray(a,1,&temp);
}
insertInt(a->array[1].a,4,14);
Array *ptr = NULL;
while (stackEmpty(stack)==0){
stack = popStack(stack, &ptr);
freeArray(ptr);
}
freeStack(stack);
return 0;
}
